# 加载 PPT 数据(免费

**方法**: `GET`
**路径**: `/docmee/v1/api/ppt/loadPptx`

## 请求参数

### Query 参数

```text
id
string
必需
示例:
xxx
```

### Header 参数

```text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

## 请求示例代码

### Shell

```bash
curl --location --request GET '/docmee/v1/api/ppt/loadPptx?id=xxx' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
  "code": 0,
  "data": {
    "pptInfo": {
      // ppt信息
      // 数据同 generatePptx 生成PPT 接口结构...
      "id": "xxx", // ppt id
      "subject": "xxx", // 主题
      "coverUrl": "https://xxx.png", // 封面
      "templateId": "xxx", // 模板ID
      "pptxProperty": "xxx", // PPT数据结构（json 数据通过 gzip 压缩 base64 编码返回，具体解码和数据结构请见【PPT前端渲染】部分讲解）
      "userId": "xxx", // 用户ID
      "userName": "xxx", // 用户名称
      "companyId": 1000,
      "updateTime": null,
      "createTime": "2024-01-01 10:00:00"
    }
  },
  "message": "操作成功"
}
```
